<?php echo $header; ?>

<ul class="breadcrumb">
    <li><a href="<?php echo site_url('sources'); ?>"><?php echo lang('header_tab_sources'); ?></a> <span class="divider">/</span></li>
    <li class="active"><?php echo lang('create_source_breadcrumb'); ?></li>
</ul>

<div class="container">
    <div class="row-fluid">
        <div class="span12">
            <h2 style="margin-top: 0;"><?php echo lang('create_source_heading');?></h2>
            <p><?php echo lang('create_source_subheading');?></p>
            <?php if ($message || validation_errors()) { ?>
            <div class="alert alert-error"><?php echo $message; echo validation_errors(); ?></div>
            <?php
            } else if ($error) { ?>
            <div class="alert alert-error"><?php echo $error; ?></div>
            <?php
            }
            echo form_open("sources/create");
            ?>
            <div style="border-bottom: 1px solid #E0E0E0; margin-bottom: 20px;">
            </div>
            <div>
                <table>
                    <tr>
                        <td class="form-left" style="width: 175px;"><?php echo lang('create_source_name'); ?>*:</td>
                        <td>
                            <div><input type="text" name="source_name" style="margin: 0;" value="<?php echo set_value('source_name'); ?>"></div>
                            <div style="font-size: 11px; padding-bottom: 10px;"><?php echo lang('create_source_name_desc'); ?></div>
                        </td>
                    </tr>
                    <tr>
                        <td class="form-left"><?php echo lang('create_source_ip'); ?>*:</td>
                        <td>
                            <div><input type="text" name="ip" class="input-medium" style="margin: 0;" value="<?php echo set_value('ip'); ?>"></div>
                            <div style="font-size: 11px; padding-bottom: 15px;"><?php echo lang('create_source_ip_desc'); ?></div>
                        </td>
                    </tr>
                    <tr>
                        <td class="form-left"><?php echo lang('create_source_port'); ?>*:</td>
                        <td>
                            <div><input type="text" name="port" style="margin: 0;" class="input-small" value="<?php echo set_value('port'); ?>"></div>
                            <div style="font-size: 11px; padding-bottom: 10px;"><?php echo lang('create_source_port_desc'); ?></div>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding-right: 10px; font-weight: bold; text-align: right; vertical-align: top; padding-top: 6px;"><?php echo lang('create_source_flow_type'); ?>:</td>
                        <td>
                            <div style="padding-bottom: 5px;">
                                <select name="flow_type" class="input-small">
                                    <option value="netflow">NetFlow</option>
                                    <option value="sflow">sFlow</option>
                                </select>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding-right: 10px; font-weight: bold; text-align: right; vertical-align: top; padding-top: 6px;"><?php echo lang('create_source_data_lifetime'); ?>:</td>
                        <td>
                            <div>
                                <input type="text" name="lifetime" style="margin: 0; width: 20px;" value="24">
                                <select name="lifetime_suffix" style="margin: 0; width: 90px;">
                                    <option value="H"><?php echo lang('hours'); ?></option>
                                    <option value="d"><?php echo lang('days'); ?></option>
                                    <option value="w"><?php echo lang('weeks'); ?></option>
                                </select>
                            </div>
                            <div style="font-size: 11px; padding-bottom: 10px;"><?php echo lang('create_source_data_lifetime_desc'); ?> <a href="#" class="po_bind" data-toggle="popover" data-placement="top" data-content="<?php echo lang('create_source_data_lifetime_popup_text'); ?>" title="<?php echo lang('create_source_data_lifetime_popup_title'); ?>"><?php echo lang('create_source_data_lifetime_popup'); ?></div>
                        </td>
                    </tr>
                </table>
            </div>
            <div style="margin-top: 15px;" class="form-actions">
                <button type="submit" class="btn btn-primary"><?php echo lang('create_source_submit_btn'); ?></button>
                <a href="<?php echo site_url('sources'); ?>" class="btn"><?php echo lang('cancel_button'); ?></a>
            </div>
            <?php echo form_close();?>
        </div>
    </div>
</div>

<?php echo $footer; ?>